"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _handler = require("@webiny/handler");
var _set = _interopRequireDefault(require("lodash/set"));
var _useElementVariables = require("./useElementVariables");
const supportedTypes = ["paragraph", "heading", "quote", "list"];
var _default = exports.default = new _handler.ContextPlugin(context => {
  context.pageBuilder.addPageElementProcessor(({
    block,
    element
  }) => {
    if (!supportedTypes.includes(element.type)) {
      return;
    }
    const variables = (0, _useElementVariables.useElementVariables)(block, element);
    const value = variables?.length > 0 ? variables[0].value : null;
    if (value !== null) {
      (0, _set.default)(element, "data.text.data.text", value);
    }
  });
});

//# sourceMappingURL=paragraph.js.map